NDBINFO_SELECT_ALL(1)

NAME
ndbinfo_select_all - select from ndbinfo tables

SYNOPSIS

ndbinfo_select_all options

DESCRIPTION

ndbinfo_select_all is a client program that selects all rows and columns from one or more tables in the ndbinfo database

Not all ndbinfo tables available in the mysql client can be read by this program. In addition, ndbinfo_select_all can show information about some tables internal to ndbinfo which cannot be accessed using SQL, including the tables and columns metadata tables.

To select from one or more ndbinfo tables using ndbinfo_select_all, it is necessary to supply the names of the tables when invoking the program as shown here:

    $> ndbinfo_select_all table_name1  [table_name2] [...]

For example:

    $> ndbinfo_select_all logbuffers logspaces
    == logbuffers ==
    node_id log_type        log_id  log_part        total   used    high
    5       0       0       0       33554432        262144  0
    6       0       0       0       33554432        262144  0
    7       0       0       0       33554432        262144  0
    8       0       0       0       33554432        262144  0
    == logspaces ==
    node_id log_type        log_id  log_part        total   used    high
    5       0       0       0       268435456       0       0
    5       0       0       1       268435456       0       0
    5       0       0       2       268435456       0       0
    5       0       0       3       268435456       0       0
    6       0       0       0       268435456       0       0
    6       0       0       1       268435456       0       0
    6       0       0       2       268435456       0       0
    6       0       0       3       268435456       0       0
    7       0       0       0       268435456       0       0
    7       0       0       1       268435456       0       0
    7       0       0       2       268435456       0       0
    7       0       0       3       268435456       0       0
    8       0       0       0       268435456       0       0
    8       0       0       1       268435456       0       0
    8       0       0       2       268435456       0       0
    8       0       0       3       268435456       0       0
    $>

Options that can be used with ndbinfo_select_all are shown in the following table. Additional descriptions follow the table.

Table 21.23. Command-line options used with the program ndbinfo_select_all
Format | Description | Added, Deprecated, or Removed
--character-sets-dir=path | Directory containing character sets | (Supported in all NDB releases based on MySQL 5.7)
--connect-retries=# | Number of times to retry connection before giving up | (Supported in all NDB releases based on MySQL 5.7)
--connect-retry-delay=# | Number of seconds to wait between attempts to contact management server | (Supported in all NDB releases based on MySQL 5.7)
--connect-string=connection-string, -c connection_string | Same as --ndb-connectstring | (Supported in all NDB releases based on MySQL 5.7)
--core-file | Write core file on error; used in debugging | (Supported in all NDB releases based on MySQL 5.7)
--database=db_name, -d | Name of database where table is located | (Supported in all NDB releases based on MySQL 5.7)
--defaults-extra-file=path | Read given file after global files are read | (Supported in all NDB releases based on MySQL 5.7)
--defaults-file=path | Read default options from given file only | (Supported in all NDB releases based on MySQL 5.7)
--defaults-group-suffix=string | Also read groups with concat(group, suffix) | (Supported in all NDB releases based on MySQL 5.7)
--delay=# | Set delay in seconds between loops | (Supported in all NDB releases based on MySQL 5.7)
--help, -? | Display help text and exit | (Supported in all NDB releases based on MySQL 5.7)
--login-path=path | Read given path from login file | (Supported in all NDB releases based on MySQL 5.7)
--loops=#, -l | Set number of times to perform select | (Supported in all NDB releases based on MySQL 5.7)
--ndb-connectstring=connection-string, -c | Set connect string for connecting to ndb_mgmd. Syntax: "[nodeid=id;][host=]hostname[:port]". Overrides entries in NDB_CONNECTSTRING and my.cnf | (Supported in all NDB releases based on MySQL 5.7)
--ndb-mgmd-host=connection-string, -c | Same as --ndb-connectstring | (Supported in all NDB releases based on MySQL 5.7)
--ndb-nodeid=# | Set node ID for this node, overriding any ID set by --ndb-connectstring | (Supported in all NDB releases based on MySQL 5.7)
--no-defaults | Do not read default options from any option file other than login file | (Supported in all NDB releases based on MySQL 5.7)
--ndb-optimized-node-selection | Enable optimizations for selection of nodes for transactions. Enabled by default; use --skip-ndb-optimized-node-selection to disable | (Supported in all NDB releases based on MySQL 5.7)
--parallelism=#, -p | Set degree of parallelism | (Supported in all NDB releases based on MySQL 5.7)
--print-defaults | Print program argument list and exit | (Supported in all NDB releases based on MySQL 5.7)
--usage, -? | Display help text and exit; same as --help | (Supported in all NDB releases based on MySQL 5.7)
--version, -V | Display version information and exit | (Supported in all NDB releases based on MySQL 5.7)

    • --character-sets-dir
    Command-Line Format | --character-sets-dir=path

    Directory containing character sets.

    • --connect-retries
    Command-Line Format | --connect-retries=#
    Type | Integer
    Default Value | 12
    Minimum Value | 0
    Maximum Value | 12

    Number of times to retry connection before giving up.

    • --connect-retry-delay
    Command-Line Format | --connect-retry-delay=#
    Type | Integer
    Default Value | 5
    Minimum Value | 0
    Maximum Value | 5

    Number of seconds to wait between attempts to contact management server.

    • --connect-string
    Command-Line Format | --connect-string=connection-string
    Type | String
    Default Value | [none]

    Same as --ndb-connectstring.

    • --core-file
    Command-Line Format | --core-file

    Write core file on error; used in debugging.

    • --defaults-extra-file
    Command-Line Format | --defaults-extra-file=path
    Type | String
    Default Value | [none]

    Read given file after global files are read.

    • --defaults-file
    Command-Line Format | --defaults-file=path
    Type | String
    Default Value | [none]

    Read default options from given file only.

    • --defaults-group-suffix
    Command-Line Format | --defaults-group-suffix=string
    Type | String
    Default Value | [none]

    Also read groups with concat(group, suffix).

    • --delay=seconds
    Command-Line Format | --delay=#
    Type | Numeric
    Default Value | 5
    Minimum Value | 0
    Maximum Value | MAX_INT

    This option sets the number of seconds to wait between executing loops. Has no effect if --loops is set to 0 or 1.

    • --help
    Command-Line Format | --help

    Display help text and exit.

    • --login-path
    Command-Line Format | --login-path=path
    Type | String
    Default Value | [none]

    Read given path from login file.

    • --loops=number, -l number
    Command-Line Format | --loops=#
    Type | Numeric
    Default Value | 1
    Minimum Value | 0
    Maximum Value | MAX_INT

    This option sets the number of times to execute the select. Use --delay to set the time between loops.

    • --ndb-connectstring
    Command-Line Format | --ndb-connectstring=connection-string
    Type | String
    Default Value | [none]

    Set connect string for connecting to ndb_mgmd. Syntax: "[nodeid=id;][host=]hostname[:port]". Overrides entries in NDB_CONNECTSTRING and my.cnf.

    • --ndb-mgmd-host
    Command-Line Format | --ndb-mgmd-host=connection-string
    Type | String
    Default Value | [none]

    Same as --ndb-connectstring.

    • --ndb-nodeid
    Command-Line Format | --ndb-nodeid=#
    Type | Integer
    Default Value | [none]

    Set node ID for this node, overriding any ID set by --ndb-connectstring.

    • --ndb-optimized-node-selection
    Command-Line Format | --ndb-optimized-node-selection

    Enable optimizations for selection of nodes for transactions. Enabled by default; use --skip-ndb-optimized-node-selection to disable.

    • --no-defaults
    Command-Line Format | --no-defaults

    Do not read default options from any option file other than login file.

    • --print-defaults
    Command-Line Format | --print-defaults

    Print program argument list and exit.

    • --usage
    Command-Line Format | --usage

    Display help text and exit; same as --help.

    • --version
    Command-Line Format | --version

    Display version information and exit.

COPYRIGHT

Copyright © 1997, 2022, Oracle and/or its affiliates.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).